
    Node.js Module for mastercard-places


What is it?
------------
A Node.js module for the `mastercard-places` API. 
If you have not already got an account sign up at https://developer.mastercard.com.


Installation
------------
If you haven't done so, you first need to install the `mastercard-places` module.
You can install it using node's package manager (NPM) with the following command:

    npm install mastercard-places

                 
Using the SDK
--------------
To run an API request you first need to initialize the MasterCardAPI.
You only need to do initialize MasterCardAPI once per application instance.
    
    var places = require('mastercard-places');
    var MasterCardAPI = places.MasterCardAPI;
    
    var consumerKey = "your consumer key";   // You should copy this from "My Keys" on your project page e.g. UTfbhDCSeNYvJpLL5l028sWL9it739PYh6LU5lZja15xcRpY!fd209e6c579dc9d7be52da93d35ae6b6c167c174690b72fa
    var keyStorePath = "path to your .p12 private key file"; // e.g. /Users/yourname/project/sandbox.p12 | C:\Users\yourname\project\sandbox.p12
    var keyAlias = "keyalias";   // For production: change this to the key alias you chose when you created your production key
    var keyPassword = "keystorepassword";   // For production: change this to the key alias you chose when you created your production key
    
    // You only need to do initialize MasterCardAPI once
    var authentication = new MasterCardAPI.OAuth(consumerKey, keyStorePath, keyAlias, keyPassword);
    MasterCardAPI.init({
        sandbox: true,
        authentication: authentication
    });
    
For examples and documentation see https://developer.mastercard.com


Licensing
---------
Please see LICENSE.txt for details.

             
Documentation
-------------
For more detailed information on the API with examples visit the online
documentation at https://developer.mastercard.com

             
Support
-------
Please see https://developer.mastercard.com for information.

             
Copyright
---------
Copyright (c) 2013 - 2016 MasterCard International Incorporated
All rights reserved.