/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

var pkgJson = require('../package.json');
var MasterCardAPI = require('mastercard-api-core');
var constants = require('mastercard-api-core/lib/constants');

var ResourceConfig = {};

var name = "places"
var _override = null;
var _host = "";
var _context = null;
var _version = pkgJson.version;
var initialised = false;

ResourceConfig.getName = function() {
    return name;
};


ResourceConfig.getHost = function() {
    if (_override) {
        return _override;
    }

    return _host;
};

ResourceConfig.getContext = function() {
    return _context;
};


ResourceConfig.getVersion = function() {
    return _version;
};

ResourceConfig.setEnvironment = function(environment) {
    if (environment in constants.Mapping) {

        var tuple = constants.Mapping[environment];
        _host = tuple[0];
        _context = tuple[1];
    }
};

ResourceConfig.setCustomEnvironment = function(host,context) {
    _host = host;
    _context = context;
};

var _init = function() {
    if (initialised === false) {
        MasterCardAPI.registerResourceConfig(ResourceConfig);
        var environment = MasterCardAPI.getEnvironment();
        ResourceConfig.setEnvironment(environment);
        initialised = true;
    }
};

_init();



module.exports = ResourceConfig;